require("LUBE")

function onReceive(data, id)
   fileData = love.filesystem.newFileData(data, "whatisthis", "file")
   love.filesystem.write("logo.png", fileData)
end

function love.load()
   server = lube.server(2244)
   server:setHandshake("test") -- Handshake is absolutely necessary
   server:setCallback(onReceive, onConnect)
end

function love.update(dt)
   server:update(dt)
end

function love.draw()
end
